*, *:before, *:after {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

:root {
    --color-dark: #1a5300;
    --color-light: #1a8334;
    --color-lighter: #54ca50;
    --white: #f1f1f1f1;
    --gray: #b8b8b8f1;
    --min-width: 30vw;
}

.body{
    display: flex;
    background-color: var(--color-light);
    justify-content: center;
    align-items: center;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    height: 100%;
    min-height: 100vh;
}

/*contenedor principal*/
.body__container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 0;
    width: 100%;
    max-width: 1280px;
    background-color: var(--color-lighter);
}

.header {
    display: flex;
    color: #ffff;
    max-height: 100px;
    width: 100%;
    background-color: var(--color-dark);
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 10px;
}

.header__figure {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0;
}

.header__icon {
    width: 50px;
    height: 50px;
    object-fit: contain;
    margin: 3px 7px;
}

.header__title{
    font-size: 1.5rem;
}

.main {
    display: flex;
    width: 100%;
    justify-content: center;
}

.main__container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 100%;
    margin-top: 10px;
}

.main__container--left {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin: 15px;
    margin-bottom: 0;
}

.card {
    background-color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px 20px;
    border-radius: 10px;
    margin: 15px;
    padding: 15px;
    width: 100%;
    height: 50px;
}

.card__img {
    width: 30%;
    max-width: 60px;
    max-height: 80px;
    border-radius: 15px;
    padding: 1px 10px 1px;
}

.card__title {
    color: black;
    font-size: 1.6rem;
    font-weight: bold;
    margin: 0;
}

.main__figure {
    position: relative;
    display: flex;
    justify-content: center;
    margin: 0;
    top: 20px;
    z-index: 1000;
}

.main__img {
    width: 100%;
    max-height:614px;
    max-width: 614px;
    margin:0;
}

.main__container--rigth {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: var(--white);
    font-size: 20px;
    width: 100%;
    margin: 15px;
    margin-top: -30px;
    border-radius: 10px;
    padding: 40px 15px 15px 15px;
}

.main__hability {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    padding: 0;
    margin: 0;
}

.main__index {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 100%;
    padding: 0;
    margin: 0;
}

.main__title {
    width: 50%;
    padding: 0;
    margin: 10px 0 10px 0;
    font-size: 1rem;
    font-weight: normal;
}

.main__info {
    width: 50%;
    padding: 0;
    margin: 10px 0 10px 0;
    font-size: 1rem;
}

.footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--white);
    min-height: 200px;
    width: 100%;
    padding: 10px;
}

.footer__buttons {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    width: 80%;
}

.footer__figure {
    width: 30%;
    height: 40%;
    min-width: 45px;
    min-height: 45px;
    max-width: 130px;
    max-height: 130px;
    cursor: pointer;
    background-color: var(--color-light);
    border-radius: 10px;
    padding: 10px;
    transition: transform .2s;
    margin: 1px 20px;
}

.footer__img {
    width: 100%;
    height: 100%;
    min-width: 45px;
    min-height: 45px;
    max-width: 130px;
    max-height: 130px;
    object-fit: contain;
}

.footer__figure:hover {
    transform: scale(1.5);
    background-color: var(--color-lighter);
}

.footer__title {
    font-size: 2rem;
    margin-top: 20px;
}

@media screen and (min-width: 700px) {
    .body {
        margin: 0 auto;
    }
    .header {
        display: flex;
        justify-content: left;
        padding: 10px;
    }

    .main__container {
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: center;
        align-items: flex-start;
        margin-bottom: 40px;
    }

    .main__container--left {
        width: 60%;
        margin-left: 90px
    }

    .card {
        width: 80%;
    }

    .main__figure {
        top: auto;
        width: 80%;
    }

    .main__container--rigth {
        width: 40%;
        height: 100%;
        margin-top: 15px;
        margin-right:  140px;
        padding-top: 15px;
    }

    .main__hability {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        padding: 0;
        width: 100%;
    }

    .main__index {
        flex-direction: column;
        align-items: center;
        border: 0;
        width: 50%;
        margin: 50px 0;
    }

    .main__title {
        text-align: center;
        font-weight: normal;
        color: gray;
        width: 100%;
        padding: 0;
        margin: 0;
        font-size: 0.7rem;
    }

    .main__info {
        text-align: center;
        font-size: 1rem;
        font-weight: bold;
        width: 100%;
        padding: 0;
        margin: 0;
    }

    .footer {
        display: flex;
        flex-direction: row;
    }

    .footer__title {
        padding: 70px;
        margin-left: 30px;
        margin-top: 0;
    }
    
    .footer__buttons {
        width: 60%;
    }

    .footer__figure {
        text-align: center;
        vertical-align: center;
        margin: 30px;
        width: 20%;
        height: 20%;
        margin: 0px;
        min-width: 125px;
        min-height: 125px;
    }

    .footer__img {
        width: 80%;
        height: 100%;
    }
}

@media screen and (min-width: 1280px){
    .body {
        margin: 0 auto;
    }

    .body__container {
        border-radius: 30px;
    }

    .header {
        border-radius: 30px 30px 0 0;
    }

    .main__title {
        font-size: 1.3rem;
    }

    .main__info {
        font-size: 1.5rem;
    }

    .footer {
        border-radius: 0 0 30px 30px;
    }
}